RegexLoggingFilter (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.common.logging, class: RegexLoggingFilter

Package org.apache.cxf.common.logging

# Class RegexLoggingFilter

java.lang.Object
org.apache.cxf.common.logging.RegexLoggingFilter

public class RegexLoggingFilter extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DEFAULT_REPLACEMENT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RegexLoggingFilter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addCommandOption(String option, String... commands)`
  `void`
  `addRegEx(String pattern)`
  `void`
  `addRegEx(String pattern, int group)`
  `void`
  `addRegEx(String pattern, int group, String replacement)`
  `CharSequence`
  `filter(CharSequence command)`
  `int`
  `getGroup()`
  `String`
  `getPattern()`
  `String`
  `getReplacement()`
  `void`
  `setGroup(int group)`
  `void`
  `setPattern(String pattern)`
  `void`
  `setReplacement(String replacement)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_REPLACEMENT

    public static final String DEFAULT_REPLACEMENT
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### RegexLoggingFilter

    public RegexLoggingFilter()

- ## Method Details

  - ### filter

    public CharSequence filter(CharSequence command)

  - ### addRegEx

    public void addRegEx(String pattern)

  - ### addRegEx

    public void addRegEx(String pattern, int group)

  - ### addRegEx

    public void addRegEx(String pattern, int group, String replacement)

  - ### addCommandOption

    public void addCommandOption(String option, String... commands)

  - ### getPattern

    public String getPattern()

  - ### setPattern

    public void setPattern(String pattern)

  - ### getReplacement

    public String getReplacement()

  - ### setReplacement

    public void setReplacement(String replacement)

  - ### getGroup

    public int getGroup()

  - ### setGroup

    public void setGroup(int group)